| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csString Class Reference

Thin wrapper around csStringFast<> with its default buffer size. More...

`#include <csutil/csstring.h>`

Inheritance diagram for csString:

[legend]
List of all members.

## Public Member Functions
| csString (unsigned char c)
| Create a csString object from a single unsigned character.
| csString (char c)
| Create a csString object from a single signed character.
| csString (const char *src, size_t _length)
| Create a csString object from a C string, given the length.
| csString (const char *src)
| Create a csString object from a null-terminated C string.
| csString (size_t Length)
| Create a csString object and reserve space for at least `Length` characters.
| csString ()
| Create an empty csString object.
| csString (const csStringBase &copy)
| csString (const csString &copy)
| Copy constructor.
const csString & | operator= (ulonglong x)
const csString & | operator= (longlong x)
const csString & | operator= (double x)
const csString & | operator= (float x)
const csString & | operator= (unsigned long x)
const csString & | operator= (long x)
const csString & | operator= (unsigned int x)
const csString & | operator= (int x)
const csString & | operator= (unsigned short x)
const csString & | operator= (short x)
const csString & | operator= (bool x)
const csString & | operator= (unsigned char x)
const csString & | operator= (char x)
const csString & | operator= (const char *copy)
const csString & | operator= (const csStringBase &copy)
| Assign a value to this string.
const csString & | operator= (const csString &copy)
| Assign a value to this string.

## Detailed Description

Thin wrapper around csStringFast<> with its default buffer size.

Definition at line 1170 of file csstring.h.

## Constructor & Destructor Documentation

csString::csString | ( |  | ) | `[inline]`

Create an empty csString object.

Definition at line 1174 of file csstring.h.

csString::csString | ( | size_t | Length | ) | `[inline]`

Create a csString object and reserve space for at least `Length` characters.

Definition at line 1179 of file csstring.h.

csString::csString | ( | const csString & | copy | ) | `[inline]`

Copy constructor.

Definition at line 1182 of file csstring.h.

csString::csString | ( | const char * | src | ) | `[inline]`

Create a csString object from a null-terminated C string.

Definition at line 1187 of file csstring.h.

csString::csString | ( | const char * | src,
|  | size_t | _length |
| ) |  |  | `[inline]`

Create a csString object from a C string, given the length.

Definition at line 1189 of file csstring.h.

csString::csString | ( | char | c | ) | `[inline]`

Create a csString object from a single signed character.

Definition at line 1191 of file csstring.h.

csString::csString | ( | unsigned char | c | ) | `[inline]`

Create a csString object from a single unsigned character.

Definition at line 1193 of file csstring.h.

## Member Function Documentation

const csString& csString::operator= | ( | const csStringBase & | copy | ) | `[inline]`

Assign a value to this string.

Reimplemented from csStringFast< LEN >.

Definition at line 1199 of file csstring.h.

const csString& csString::operator= | ( | const csString & | copy | ) | `[inline]`

Assign a value to this string.

Definition at line 1197 of file csstring.h.

The documentation for this class was generated from the following file:

- csutil/csstring.h